Package org.apache.felix.hc.core.impl.scheduling.cron.quartz

## Class AsyncQuartzCronJob.QuartzJob

- java.lang.Object
- - org.apache.felix.hc.core.impl.scheduling.cron.quartz.AsyncQuartzCronJob.QuartzJob

All Implemented Interfaces:
  `org.quartz.Job`

Enclosing class:
  AsyncQuartzCronJob

    public static class AsyncQuartzCronJob.QuartzJob
    extends Object
    implements org.quartz.Job

### Constructor Summary

Constructors
`QuartzJob()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `execute​(org.quartz.JobExecutionContext context)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### QuartzJob

    public QuartzJob()

### Method Detail

#### execute

    public void execute​(org.quartz.JobExecutionContext context)
                 throws org.quartz.JobExecutionException

Specified by:
  `execute` in interface `org.quartz.Job`
Throws:
  `org.quartz.JobExecutionException`